> For the complete documentation index, see [llms.txt](https://docs.connect.jfrog.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.connect.jfrog.io/developers/api-reference.md).

# API Reference

- [Connect API Reference](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference.md): JFrog Connect REST API v2
- [Devices](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/devices.md): JFrog Connect API requests that act on the edge device or retrieve information from one or more devices.
- [Update Flows](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/update-flows.md): JFrog Connect API requests for creating and managing update flows.
- [Deployments](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/deployments.md): JFrog Connect API requests that deploy software, retrieve information about deployments, or abort deployments.
- [Device Files](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/device-files.md): JFrog Connect API request to retrieve files and folders (such as logs) from devices.
- [Port Tunneling](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/port-tunneling.md): JFrog Connect API requests to support port tunneling.
- [API Reference v1 (Legacy)](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview.md)
- [Device state](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview/device-state.md)
- [Bulk device states](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview/bulk-devices-state.md)
- [Get devices details](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview/devices-details.md)
- [Change devices details](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview/change-devices-details.md)
- [Deploy Update](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview/deploy-update.md)
- [Update Trigger](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview/update-trigger.md)
- [Tags](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview/device-tags.md)
- [Apps](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/overview/device-apps.md)
- [Create Access Token](https://docs.connect.jfrog.io/developers/api-reference/create-access-token.md): You need an access token to use the JFrog Connect API. This page describes how to get tokens for Connect API v2.
- [Create Access Token - New UI](https://docs.connect.jfrog.io/developers/api-reference/create-access-token-1.md): You need an access token to use the JFrog Connect API. This page describes how to get tokens for Connect API v2 and is for users with the new web UI.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.connect.jfrog.io/developers/api-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
